Skip to main content
POST
/
v1
/
conversations
/
{id}
/
customer-metrics
Submit a customer metric
curl --request POST \
  --url https://api.zelto.ai/v1/conversations/{id}/customer-metrics \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "score": 50,
  "note": "<string>",
  "metricId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "externalId": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "label": "<string>",
  "source": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "metricId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "externalId": "<string>",
  "score": 123,
  "note": "<string>"
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer YOUR_API_KEY. The key resolves to a single organization.

Path Parameters

id
string<uuid>
required

Body

application/json

Provide at least one of verdict or score.

label
string
required

The customer's name for this metric, e.g. "Compliance Check".

Required string length: 1 - 255
verdict
enum<string>
Available options:
pass,
fail
score
number
Required range: 0 <= x <= 100
note
string
Maximum string length: 5000
metricId
string<uuid>

Map this customer metric to one of your Zelto metrics on the call's agent.

externalId
string

Your own id for this record.

Maximum string length: 255

Response

The created (or replaced) customer metric.

id
string<uuid>
required
organizationId
string<uuid>
required
conversationId
string<uuid>
required
agentId
string<uuid>
required
label
string
required

The customer's name for the metric, e.g. "Compliance Check".

source
string
required

Provenance of the record, e.g. api.

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
metricId
string<uuid> | null

The Zelto metric this customer metric maps to, if any.

externalId
string | null

The customer's own id for this record.

verdict
enum<string> | null
Available options:
pass,
fail
score
number | null

0–100. Null when only a pass/fail verdict was sent.

note
string | null